> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/ping-mu/screen.setawakemode.md).

# Screen.setAwakeMode

> 函数式 API `setScreenAwakeMode`也能用它实现相同功能。

### 功能说明

可设置为始终保持屏幕开启或将其关闭。适用于需要一直保持屏幕开启时，例如看网漫、看视频、阅读文档等。

`enabled`将 `true`设为时屏幕不会关闭， `false`设置为时，会根据默认的屏幕保护程序时间关闭。由于会影响整个应用，如果只想在特定页面使用，请在离开页面时恢复到之前的状态。

### 类型

```ts
Screen.setAwakeMode(options: SetScreenAwakeModeOptions): Promise<{ enabled: boolean }>;

```

**参数**

```ts
interface SetScreenAwakeModeOptions {
  enabled: boolean;
}
```

**响应**

将应用后的状态 `{ enabled: boolean }` 形式返回。

### 示例代码

```js
import { Screen } from "@apps-in-toss/web-framework";

// 进入媒体内容页面时开启始终点亮模式。
await Screen.setAwakeMode({ enabled: true });

// 离开页面时恢复到之前的状态。
window.addEventListener("pagehide", () => {
  Screen.setAwakeMode({ enabled: false });
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/ping-mu/screen.setawakemode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
